﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace Error_Xamarin
{
    public partial class Sample : ContentPage
    {
        ViewModel view = new ViewModel();
        public Sample()
        {
            InitializeComponent();
            this.BindingContext = view;
        }
    }

    public class Model
    {
        public DateTime XData
        {
            get;
            set;
        }
        public double YData
        {
            get;
            set;
        }
    }
    public class ViewModel
    {

        public ObservableCollection<Model> DataPoints
        {
            get;
            set;
        }
        public ViewModel()
        {
            var date = new DateTime(1993, 1, 1);
            DataPoints = new ObservableCollection<Model>();

            DataPoints.Add(new Model { XData = date.AddYears(1), YData = 50 });
            DataPoints.Add(new Model { XData = date.AddYears(2), YData = 80 });
            DataPoints.Add(new Model { XData = date.AddYears(3), YData = 60 });
            DataPoints.Add(new Model { XData = date.AddYears(4), YData = 30 });
        }
    }
}
